<?php

global $wpdb;

$tabla = $wpdb->prefix . "options";

if (isset($_POST['reload'])) {
    header("Refresh:0");
}

if (isset($_POST['logout'])) {
    $results = $wpdb->delete($tabla, array('option_name' => "xTipztyToken"));

    if ($results) {
        header("Refresh:0");
    } else {
        echo "No se pudo cerrar sesión, por favor pulse <b>F5</b> para restaurar la página.";
    }
}

?>
<div class="wrap">
    <h1>Tipzty</h1>
    <br>
    <div class="card w-100 p-0 m-auto">
        <div class="card-header">
            Logueate con tipzty ahora
        </div>
        <div class="card-body">
            <?php
            $email = sanitize_email($_POST["email"]);
            $password = $_POST["password"];

            if (
                isset($email)
                && !empty($email)
                && isset($password)
                && !empty($password)
            ) {
                $args = array(
                    "method" => "POST",
                    "body" => json_encode(array(
                        "email"    => $email,
                        "password" => $password
                    )),
                    "headers" => array(
                        "Content-Type" => "application/json",
                        "x-tipzty-api-key" => "mMlxBfBK6TRqoW8DTLdrdhZxIYJuL81a"
                    ),
                );
                $url = "https://go.tipzty.com/api/login";
                $response = wp_remote_request($url, $args);
                $body = json_decode(wp_remote_retrieve_body($response));

                if ($body && property_exists($body, "token") && isset($_SERVER['SERVER_NAME']) && !empty($_SERVER['SERVER_NAME'])) {
                    $origin_domain = sanitize_url($_SERVER['SERVER_NAME']);
                    $domain = str_replace("http://", "", $body->host);
                    $domain = str_replace("https://", "", $domain);
                    $domain = str_replace("www.", "", $domain);
                    $same_domain = true; // $domain == $origin_domain;

                    if ($same_domain) {
                        $datos = [
                            'option_name' => "xTipztyToken",
                            'option_value' => $body->token,
                            'autoload' => true
                        ];

                        $query = "SELECT option_value FROM `wp_options` WHERE option_name = 'xTipztyToken'";
                        $val_token = $wpdb->get_results($query, ARRAY_A);
                        if (empty($val_token)) {
                            $respuesta = $wpdb->insert($tabla, $datos);
                        } else {
                            $respuesta = $wpdb->update($tabla, $datos, array('option_name' => "xTipztyToken"));
                        }


                        if ($respuesta) {
                            header("Refresh:0");
                        } else {
            ?>
                            <h4>No se pudo loguear el usuario. Por favor vuelve a intentarlo</h4>

                            <form id="formReloadTipzty" method="POST">
                                <button name="reload" type="submit" class="btn t-btn mt-3">volver</button>
                            </form>

                        <?php

                        }
                    } else {
                        ?>
                        <h2>Dominio diferente al registrado: <?= esc_html($domain) ?></h2>
                        <form id="formReloadTipzty" method="POST">
                            <button name="reload" type="submit" class="btn t-btn mt-3">volver</button>
                        </form>

                    <?php
                    }
                } else {
                    ?>
                    <h4>Usuario y contraseña incorrectos. Por favor vuelve a intentarlo</h4>
                    <form id="formReloadTipzty" method="POST">
                        <button name="reload" type="submit" class="btn t-btn mt-3">volver</button>
                    </form>
                    <?php
                }
            } else {

                $val_Woocommerce = "SELECT * FROM `wp_options` where option_name = 'woocommerce_db_version'";

                $rel = $wpdb->get_results($val_Woocommerce, ARRAY_A);
                if (!empty($rel)) {

                    $query = "SELECT option_value FROM `wp_options` WHERE option_name = 'xTipztyToken'";
                    $results = $wpdb->get_results($query, ARRAY_A);
                    if (empty($results)) {
                        $results = array();
                    ?>
                        <form id="formLoginTipzty" method="POST">
                            <div class="row">
                                <div class="col">
                                    <label for="email" class="form-label">Usuario</label>
                                    <input type="text" name="email" class="form-control" id="email" placeholder="Ingresa tu usuario (Email)">
                                </div>
                                <div class="col">
                                    <label for="password" class="form-label">Contraseña</label>
                                    <input type="password" class="form-control" name="password" id="password" placeholder="Ingresa tu contraseña">
                                </div>
                                <div class="col-12 mt-3">
                                    <button type="submit" class="btn t-btn">Ingresar</button>

                                </div>
                            </div>
                        </form>
                    <?php
                    } else {
                    ?>
                        <h4>Usuario logueado correctamente</h4>
                        <form id="formLogoutTipzty" method="POST">
                            <button name="logout" type="submit" class="btn t-btn mt-3">Cerrar sesión</button>
                        </form>
            <?php
                    }
                } else {
                    echo "<h4>Debes tener instalado <b>Woocommerce</b> para utilizar el plugin.</h4>";
                }
            }
            ?>
        </div>
    </div>
</div>