jQuery(document).ready(() => {
  console.log("🔌 Product Js Loaded v1.2.3");

  const isProductPage = !!document.body.classList.contains("single-product");

  if (isProductPage) {
    activateExtension();
  }
});

async function activateExtension() {
  console.log("✅ Product Widget Activated");

  var productItem = localStorage.getItem("@product");

  if (productItem !== undefined || productItem !== "undefined") {
    console.log("✅ Product exists in localStorage");
  } else {
    console.log("🚫 Token not registered");
    return;
  }

  var product = JSON.parse(productItem);
  var token = localStorage.getItem("@token_tipzty_plugin");

  if (token !== undefined && token !== "") {
    console.log("✅ Token registered");
  } else {
    console.log("🚫 Token not registered");
    return;
  }

  const productId = product.id;
  const productUrl = window.location.href;
  // const productUrl = product.url;

  var responseApi = await fetch(
    `https://go.tipzty.com/api/products/reviews/${productId}?url=${productUrl}`,
    {
      method: "GET",
      headers: {
        "X-Tipzty-Key": token,
      },
    }
  ).then((resp) => resp.json());

  var responseTransmissionsApi = await fetch(
    `https://go.tipzty.com/api/products/transmissions/${productId}?url=${productUrl}`,
    {
      method: "GET",
      headers: {
        "X-Tipzty-Key": token,
      },
    }
  ).then((resp) => resp.json());

  if (responseApi.count !== 0) {
    const reviews = responseApi.reviews.slice().sort((x, y) => y.id - x.id);
    const review = reviews[0];
    const brandName = parseBrandName(review.brand.full_name);
    const url = `https://tipz.tv/reviews/${brandName}?id=${review.id}&mode=widget`;

    console.log("📺 Review:", url);

    localStorage.setItem("@iframe_tipzty", url);

    document.querySelector(".t-widget").style.display = "block";
    document.querySelector(".t-widget .t-block").style.visibility = "visible";

    document.querySelector(".t-widget .t-iframe").src = url;
  } else {
    document.querySelector(".t-widget .t-block").style.visibility = "hidden";
  }

  if (responseTransmissionsApi.count !== 0) {
    const transmission = responseTransmissionsApi.transmissions[0];
    const brandName = parseBrandName(transmission.brand.full_name);
    const url = `https://tipz.tv/${brandName}/${transmission.id}?mode=widget`;

    console.log("📺 Transmission:", url);

    localStorage.setItem("@iframe_tipzty", url);
    document.querySelector(".t-widget").style.display = "block";
    document.querySelector(".t-widget .t-block").style.visibility = "visible";
    document.querySelector(".t-widget .t-iframe").src = url;
  } else if (responseApi.count === 0) {
    document.querySelector(".t-widget .t-block").style.visibility = "hidden";
  }
}
